Index: CKEditor/branches/versions/3.5.x/_source/lang/_translationstatus.txt
===================================================================
--- CKEditor/branches/versions/3.5.x/_source/lang/_translationstatus.txt	(revision 6180)
+++ CKEditor/branches/versions/3.5.x/_source/lang/_translationstatus.txt	(revision 6193)
@@ -2,59 +2,59 @@
 For licensing, see LICENSE.html or http://ckeditor.com/license
 
-af.js      Found: 287 Missing: 259
-ar.js      Found: 451 Missing: 95
-bg.js      Found: 280 Missing: 266
-bn.js      Found: 281 Missing: 265
-bs.js      Found: 187 Missing: 359
-ca.js      Found: 490 Missing: 56
-cs.js      Found: 411 Missing: 135
-cy.js      Found: 452 Missing: 94
-da.js      Found: 404 Missing: 142
-de.js      Found: 528 Missing: 18
-el.js      Found: 286 Missing: 260
-en-au.js   Found: 369 Missing: 177
-en-ca.js   Found: 369 Missing: 177
-en-gb.js   Found: 370 Missing: 176
-eo.js      Found: 259 Missing: 287
-es.js      Found: 524 Missing: 22
-et.js      Found: 301 Missing: 245
-eu.js      Found: 403 Missing: 143
-fa.js      Found: 302 Missing: 244
-fi.js      Found: 531 Missing: 15
-fo.js      Found: 420 Missing: 126
-fr-ca.js   Found: 301 Missing: 245
-fr.js      Found: 403 Missing: 143
-gl.js      Found: 283 Missing: 263
-gu.js      Found: 300 Missing: 246
-he.js      Found: 546 Missing: 0
-hi.js      Found: 302 Missing: 244
-hr.js      Found: 404 Missing: 142
-hu.js      Found: 445 Missing: 101
-is.js      Found: 307 Missing: 239
-it.js      Found: 404 Missing: 142
-ja.js      Found: 423 Missing: 123
-km.js      Found: 275 Missing: 271
-ko.js      Found: 293 Missing: 253
-lt.js      Found: 306 Missing: 240
-lv.js      Found: 283 Missing: 263
-mn.js      Found: 300 Missing: 246
-ms.js      Found: 265 Missing: 281
-nb.js      Found: 470 Missing: 76
-nl.js      Found: 531 Missing: 15
-no.js      Found: 470 Missing: 76
-pl.js      Found: 411 Missing: 135
-pt-br.js   Found: 524 Missing: 22
-pt.js      Found: 282 Missing: 264
-ro.js      Found: 301 Missing: 245
-ru.js      Found: 467 Missing: 79
-sk.js      Found: 302 Missing: 244
-sl.js      Found: 410 Missing: 136
-sr-latn.js Found: 276 Missing: 270
-sr.js      Found: 275 Missing: 271
-sv.js      Found: 299 Missing: 247
-th.js      Found: 287 Missing: 259
-tr.js      Found: 524 Missing: 22
-uk.js      Found: 531 Missing: 15
-vi.js      Found: 481 Missing: 65
-zh-cn.js   Found: 546 Missing: 0
-zh.js      Found: 404 Missing: 142
+af.js      Found: 287 Missing: 244
+ar.js      Found: 451 Missing: 80
+bg.js      Found: 280 Missing: 251
+bn.js      Found: 281 Missing: 250
+bs.js      Found: 187 Missing: 344
+ca.js      Found: 490 Missing: 41
+cs.js      Found: 411 Missing: 120
+cy.js      Found: 452 Missing: 79
+da.js      Found: 404 Missing: 127
+de.js      Found: 528 Missing: 3
+el.js      Found: 286 Missing: 245
+en-au.js   Found: 369 Missing: 162
+en-ca.js   Found: 369 Missing: 162
+en-gb.js   Found: 370 Missing: 161
+eo.js      Found: 259 Missing: 272
+es.js      Found: 531 Missing: 0
+et.js      Found: 301 Missing: 230
+eu.js      Found: 403 Missing: 128
+fa.js      Found: 302 Missing: 229
+fi.js      Found: 531 Missing: 0
+fo.js      Found: 420 Missing: 111
+fr-ca.js   Found: 301 Missing: 230
+fr.js      Found: 403 Missing: 128
+gl.js      Found: 283 Missing: 248
+gu.js      Found: 300 Missing: 231
+he.js      Found: 531 Missing: 0
+hi.js      Found: 302 Missing: 229
+hr.js      Found: 404 Missing: 127
+hu.js      Found: 530 Missing: 1
+is.js      Found: 307 Missing: 224
+it.js      Found: 404 Missing: 127
+ja.js      Found: 489 Missing: 42
+km.js      Found: 275 Missing: 256
+ko.js      Found: 293 Missing: 238
+lt.js      Found: 306 Missing: 225
+lv.js      Found: 283 Missing: 248
+mn.js      Found: 300 Missing: 231
+ms.js      Found: 265 Missing: 266
+nb.js      Found: 470 Missing: 61
+nl.js      Found: 531 Missing: 0
+no.js      Found: 470 Missing: 61
+pl.js      Found: 411 Missing: 120
+pt-br.js   Found: 524 Missing: 7
+pt.js      Found: 282 Missing: 249
+ro.js      Found: 301 Missing: 230
+ru.js      Found: 467 Missing: 64
+sk.js      Found: 302 Missing: 229
+sl.js      Found: 410 Missing: 121
+sr-latn.js Found: 276 Missing: 255
+sr.js      Found: 275 Missing: 256
+sv.js      Found: 299 Missing: 232
+th.js      Found: 287 Missing: 244
+tr.js      Found: 524 Missing: 7
+uk.js      Found: 531 Missing: 0
+vi.js      Found: 481 Missing: 50
+zh-cn.js   Found: 531 Missing: 0
+zh.js      Found: 404 Missing: 127