Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 6228)
+++ CKEditor/trunk/CHANGES.html	(revision 6232)
@@ -1,3 +1,3 @@
-﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
 <!--
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
@@ -45,31 +45,33 @@
 			Fixed issues:</p>
 	<ul>
-		<li><a href="http://dev.ckeditor.com/ticket/6554">#6554</a> : [Webkit] Cannot type after inserting Page Break.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6569">#6569</a> : Indentation now honors text direction of the only item.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6579">#6579</a> : The jQuery adapter wasn't working properly tunning on incompatible environments.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6644">#6644</a> : Restrict onmousedown handler to the toolbar area.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6656">#6656</a> : Panel button becames active when clicking on source.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6248">#6248</a> : Whitespaces (NBSP) were incorrectly added into empty table cells and list items.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6575">#6575</a> : Dialog tab-view disappears in "Link" dialog after specific action sequence.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6510">#6510</a> : Margin mirroring doesn't respect style configuration.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6471">#6471</a> : BIDI: Press decrease indentation in a RTL bulleted list causes incorrect behaviour.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6479">#6479</a> : BIDI: Language direction is not being preserved when pressing enter key after paragraph format has been applied.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6670">#6670</a> : BIDI: toolbar icons are not mirrored when we apply RTL direction to a paragraph with any of the Paragraph Formatting options.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6640">#6640</a> : Floating panels are now being closed properly when switching modes.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/4790">#4790</a> : Remove list with multiple items in enterBr doesn't preserve line-breaks.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6297">#6297</a> : Floated inline elements are no anymore acting in behavior of blocks.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6171">#6171</a> : [Firefox] Open rich combo scrolls host page to top when editor has vertical scrollbar.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6330">#6330</a> : List bullet from MS Word with roman numbering are not recongnized.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6720">#6720</a> : Attributes protection might detect wrong elements.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6580">#6580</a> : [IE9] Flash dialog doesn't fill.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6447">#6447</a> : Outdent a list with "indentClasses" config doesn't work.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/5894">#5894</a> : Custom buttons added at foot of dialogs don't expand to include their contents.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6513">#6513</a> : Wrong ARIA attributes created on list options of "Styles" rich combo.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6150">#6150</a> : [Safari] Color dialog layout was broken.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6747">#6747</a> : Full screen window scrolls caused by page element focus outside editor.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6779">#6779</a> : Click "body" in elements path blink the selection off.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6781">#6781</a> : [IE7] Dialogs are broken with RTL and office2003 and v2 skins.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6798">#6798</a> : [IE7] Dialog buttons disappear in RTL after dragging.</li>
-		<li><a href="http://dev.ckeditor.com/ticket/6806">#6806</a> : [IE7] Dialog buttons turn invisible on focus.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6554">#6554</a> : [Webkit] cannot type after inserting Page Break.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6569">#6569</a> : Indentation now complies with text direction of the only item.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6579">#6579</a> : The jQuery adapter was not working properly and was turned on in incompatible environments.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6644">#6644</a> : Restrict <code>onmousedown</code> handler to the toolbar area.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6656">#6656</a> : Panelbutton's buttons became active when clicking on Source.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6248">#6248</a> : Whitespaces (<code>nbsp</code> elements) were incorrectly added into empty table cells and list items.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6575">#6575</a> : Tabs disappearing in Link dialog window after a specific sequence of actions.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6510">#6510</a> : Margin mirroring does not respect style configuration.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6471">#6471</a> : BIDI: Pressing Decrease Indent in an RTL bulleted list causes incorrect behaviour.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6479">#6479</a> : BIDI: Language direction is not being preserved when pressing Enter after a Paragraph Format was applied.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6670">#6670</a> : BIDI: Indent & List icons are not reversed when we apply RTL direction to a paragraph with any of Paragraph Formatting options.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6640">#6640</a> : Floating panels are now being closed when switching modes.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/4790">#4790</a> : Remove list with multiple items in <code>enterBr</code> doesnot preserve line breaks.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6297">#6297</a> : Floated inline elements are not taking part in behavior of blocks anymore.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6171">#6171</a> : [Firefox] Opening rich content drop-down list scrolls host page to the top when editor has a vertical scrollbar.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6330">#6330</a> : List markers from MS Word with Roman numbering are not preserved.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6720">#6720</a> : Attribute protection might detect wrong elements.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6580">#6580</a> : [IE9] Flash dialog window does not get filled up.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6447">#6447</a> : Decreasing indentation of a list with <code>indentClasses</code> config does not work.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/5894">#5894</a> : Adding custom buttons at the bottom of a dialog window does not cause it to expand to include its contents.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6513">#6513</a> : Wrong ARIA attributes created on list options of Styles drop-down list.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6150">#6150</a> : [Safari] Color dialog window was broken.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6747">#6747</a> : Full screen layout issue caused by page element focus outside editor.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6779">#6779</a> : Clicking the <code>body</code> element on elements path turns the selection on and off immediately.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6781">#6781</a> : [IE7] Dialog windows are broken with RTL, Office 2003 and v2 skins.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6798">#6798</a> : [IE7] Dialog window buttons disappearing in RTL after dragging.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6806">#6806</a> : [IE7] Dialog window buttons invisible on focus.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6588">#6588</a> : Copy and paste adds <code>&lt;span&gt;</code> if SCAYT is enabled.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6673">#6673</a> : IE Target combo for Image Link shown as blank even when we select <code>&lt;not set&gt;</code> as an option.</li>
 		<li>Updated the following language files:<ul>
 			<li><a href="http://dev.ckeditor.com/ticket/6756">#6756</a> : Hungarian;</li>
Index: CKEditor/trunk/_source/core/config.js
===================================================================
--- CKEditor/trunk/_source/core/config.js	(revision 6228)
+++ CKEditor/trunk/_source/core/config.js	(revision 6232)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/trunk/_source/core/dom/element.js
===================================================================
--- CKEditor/trunk/_source/core/dom/element.js	(revision 6228)
+++ CKEditor/trunk/_source/core/dom/element.js	(revision 6232)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/trunk/_source/core/dom/node.js
===================================================================
--- CKEditor/trunk/_source/core/dom/node.js	(revision 6228)
+++ CKEditor/trunk/_source/core/dom/node.js	(revision 6232)
@@ -671,5 +671,5 @@
 		 * // For the following HTML:
 		 * // <div contenteditable="false">Some <b>text</b></div>
-		 * 
+		 *
 		 * // If "ele" is the above <div>
 		 * ele.getReadOnlyRoot();  // the <div> element
Index: CKEditor/trunk/_source/core/dom/walker.js
===================================================================
--- CKEditor/trunk/_source/core/dom/walker.js	(revision 6228)
+++ CKEditor/trunk/_source/core/dom/walker.js	(revision 6232)
@@ -341,5 +341,5 @@
 		var nodeNameMatches = CKEDITOR.tools.extend( {}, CKEDITOR.dtd.$block, customNodeNames || {} );
 
-		// Don't consider floated formatting as block boundary, fall back to dtd check in that case. (#6297)  
+		// Don't consider floated formatting as block boundary, fall back to dtd check in that case. (#6297)
 		return this.getComputedStyle( 'float' ) == 'none' && blockBoundaryDisplayMatch[ this.getComputedStyle( 'display' ) ]
 				|| nodeNameMatches[ this.getName() ];
Index: CKEditor/trunk/_source/plugins/enterkey/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/enterkey/plugin.js	(revision 6228)
+++ CKEditor/trunk/_source/plugins/enterkey/plugin.js	(revision 6232)
@@ -230,5 +230,5 @@
 				var newBlock,
 					newBlockDir;
-					
+
 				if ( newBlockDir = startBlock.getDirection() )
 				{
Index: CKEditor/trunk/_source/plugins/htmldataprocessor/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/htmldataprocessor/plugin.js	(revision 6228)
+++ CKEditor/trunk/_source/plugins/htmldataprocessor/plugin.js	(revision 6232)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
@@ -44,5 +44,5 @@
         // 2. For the rest, at least table cell and list item need no filler space.
         // (#6248)
-        if ( fromSource && CKEDITOR.env.ie && 
+        if ( fromSource && CKEDITOR.env.ie &&
                 ( document.documentMode > 7
                 || block.name in CKEDITOR.dtd.tr
Index: CKEditor/trunk/_source/plugins/indent/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/indent/plugin.js	(revision 6228)
+++ CKEditor/trunk/_source/plugins/indent/plugin.js	(revision 6232)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/trunk/_source/plugins/link/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/link/plugin.js	(revision 6228)
+++ CKEditor/trunk/_source/plugins/link/plugin.js	(revision 6232)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license
Index: CKEditor/trunk/_source/plugins/wsc/dialogs/wsc.js
===================================================================
--- CKEditor/trunk/_source/plugins/wsc/dialogs/wsc.js	(revision 6228)
+++ CKEditor/trunk/_source/plugins/wsc/dialogs/wsc.js	(revision 6232)
@@ -186,3 +186,2 @@
 		iframe && iframe.setStyle( 'height', height + 'px' );
 });
-
Index: CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js	(revision 6228)
+++ CKEditor/trunk/_source/plugins/wysiwygarea/plugin.js	(revision 6232)
@@ -1,3 +1,3 @@
-/*
+﻿/*
 Copyright (c) 2003-2010, CKSource - Frederico Knabben. All rights reserved.
 For licensing, see LICENSE.html or http://ckeditor.com/license