Index: CKEditor/trunk/CHANGES.html
===================================================================
--- CKEditor/trunk/CHANGES.html	(revision 6318)
+++ CKEditor/trunk/CHANGES.html	(revision 6319)
@@ -91,4 +91,5 @@
 		<li><a href="http://dev.ckeditor.com/ticket/6665">#6665</a> : [IE] "name" field of link dialog was missing.</li>
 		<li><a href="http://dev.ckeditor.com/ticket/6639">#6639</a> :  Line-breaks inside pasted list item from MS-Word breaks list structure.</li>
+		<li><a href="http://dev.ckeditor.com/ticket/6909">#6909</a> :  [IE] GIF icons of toolbar button from custom plugins are not diplayed in zoom level 100%.</li>
 	</ul>
 	<h3>
Index: CKEditor/trunk/_source/plugins/button/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/button/plugin.js	(revision 6318)
+++ CKEditor/trunk/_source/plugins/button/plugin.js	(revision 6319)
@@ -182,5 +182,5 @@
 
 		output.push(
-			'<span class="cke_button">',
+			'<span class="cke_button' + ( this.icon && this.icon.indexOf( '.png' ) == -1 ? ' cke_noalphafix' : '' ) + '">',
 			'<a id="', id, '"' +
 				' class="', classes, '"',
Index: CKEditor/trunk/_source/plugins/menu/plugin.js
===================================================================
--- CKEditor/trunk/_source/plugins/menu/plugin.js	(revision 6318)
+++ CKEditor/trunk/_source/plugins/menu/plugin.js	(revision 6319)
@@ -412,5 +412,5 @@
 
 			output.push(
-				'<span class="cke_menuitem">' +
+				'<span class="cke_menuitem' + ( this.icon && this.icon.indexOf( '.png' ) == -1 ? ' cke_noalphafix' : '' ) + '">' +
 				'<a id="', id, '"' +
 					' class="', classes, '" href="javascript:void(\'', ( this.label || '' ).replace( "'", '' ), '\')"' +
Index: CKEditor/trunk/_source/skins/kama/menu.css
===================================================================
--- CKEditor/trunk/_source/skins/kama/menu.css	(revision 6318)
+++ CKEditor/trunk/_source/skins/kama/menu.css	(revision 6319)
@@ -59,5 +59,6 @@
 	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(sizingMethod='scale');
 }
-.cke_browser_ie6 .cke_skin_kama .cke_menuitem .cke_icon
+.cke_browser_ie6 .cke_skin_kama .cke_menuitem .cke_icon,
+.cke_browser_ie .cke_skin_kama .cke_menuitem.cke_noalphafix .cke_icon
 {
 	filter: ;
@@ -79,5 +80,6 @@
 	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(sizingMethod='scale');
 }
-.cke_browser_ie6 .cke_skin_kama .cke_menuitem .cke_disabled .cke_icon
+.cke_browser_ie6 .cke_skin_kama .cke_menuitem .cke_disabled .cke_icon,
+.cke_browser_ie .cke_skin_kama .cke_menuitem.cke_noalphafix .cke_disabled .cke_icon
 {
 	filter: ;
Index: CKEditor/trunk/_source/skins/kama/toolbar.css
===================================================================
--- CKEditor/trunk/_source/skins/kama/toolbar.css	(revision 6318)
+++ CKEditor/trunk/_source/skins/kama/toolbar.css	(revision 6319)
@@ -198,5 +198,6 @@
 }
 .cke_skin_kama .cke_browser_ie6 .cke_button a.cke_disabled *,
-.cke_skin_kama .cke_browser_ie6 a:hover.cke_button .cke_disabled *
+.cke_skin_kama .cke_browser_ie6 a:hover.cke_button .cke_disabled *,
+.cke_skin_kama .cke_browser_ie .cke_button.cke_noalphafix a.cke_disabled *
 {
 	filter: alpha(opacity=30);
@@ -271,5 +272,7 @@
 }
 .cke_skin_kama .cke_browser_ie6 .cke_button .cke_icon,
-.cke_skin_kama .cke_browser_ie6 .cke_rtl .cke_button .cke_icon
+.cke_skin_kama .cke_browser_ie6 .cke_rtl .cke_button .cke_icon,
+.cke_skin_kama .cke_browser_ie .cke_button.cke_noalphafix .cke_icon,
+.cke_skin_kama .cke_browser_ie .cke_rtl .cke_button.cke_noalphafix .cke_icon
 {
 	filter: ;
Index: CKEditor/trunk/_source/skins/office2003/menu.css
===================================================================
--- CKEditor/trunk/_source/skins/office2003/menu.css	(revision 6318)
+++ CKEditor/trunk/_source/skins/office2003/menu.css	(revision 6319)
@@ -59,5 +59,6 @@
 	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(sizingMethod='scale');
 }
-.cke_browser_ie6 .cke_skin_office2003 .cke_menuitem .cke_icon
+.cke_browser_ie6 .cke_skin_office2003 .cke_menuitem .cke_icon,
+.cke_browser_ie .cke_skin_office2003 .cke_menuitem.cke_noalphafix .cke_icon
 {
 	filter: ;
@@ -79,5 +80,6 @@
 	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(sizingMethod='scale');
 }
-.cke_browser_ie6 .cke_skin_office2003 .cke_menuitem .cke_disabled .cke_icon
+.cke_browser_ie6 .cke_skin_office2003 .cke_menuitem .cke_disabled .cke_icon,
+.cke_browser_ie .cke_skin_office2003 .cke_menuitem.cke_noalphafix .cke_disabled .cke_icon
 {
 	filter: ;
Index: CKEditor/trunk/_source/skins/office2003/toolbar.css
===================================================================
--- CKEditor/trunk/_source/skins/office2003/toolbar.css	(revision 6318)
+++ CKEditor/trunk/_source/skins/office2003/toolbar.css	(revision 6319)
@@ -287,5 +287,6 @@
 }
 .cke_skin_office2003 .cke_browser_ie6 .cke_button a.cke_disabled *,
-.cke_skin_office2003 .cke_browser_ie6 a:hover.cke_button .cke_disabled *
+.cke_skin_office2003 .cke_browser_ie6 a:hover.cke_button .cke_disabled *,
+.cke_skin_office2003 .cke_browser_ie .cke_button.cke_noalphafix a.cke_disabled *
 {
 	filter: alpha(opacity=30);
@@ -340,5 +341,7 @@
 }
 .cke_skin_office2003 .cke_browser_ie6 .cke_button .cke_icon,
-.cke_skin_office2003 .cke_browser_ie6 .cke_rtl .cke_button .cke_icon
+.cke_skin_office2003 .cke_browser_ie6 .cke_rtl .cke_button .cke_icon,
+.cke_skin_office2003 .cke_browser_ie .cke_button.cke_noalphafix .cke_icon,
+.cke_skin_office2003 .cke_browser_ie .cke_rtl .cke_button.cke_noalphafix .cke_icon
 {
 	filter: ;
Index: CKEditor/trunk/_source/skins/v2/menu.css
===================================================================
--- CKEditor/trunk/_source/skins/v2/menu.css	(revision 6318)
+++ CKEditor/trunk/_source/skins/v2/menu.css	(revision 6319)
@@ -58,5 +58,6 @@
 	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(sizingMethod='scale');
 }
-.cke_browser_ie6 .cke_skin_v2 .cke_menuitem .cke_icon
+.cke_browser_ie6 .cke_skin_v2 .cke_menuitem .cke_icon,
+.cke_browser_ie .cke_skin_v2 .cke_menuitem.cke_noalphafix .cke_icon
 {
 	filter: ;
@@ -79,5 +80,6 @@
 	filter: progid:DXImageTransform.Microsoft.AlphaImageLoader(sizingMethod='scale');
 }
-.cke_browser_ie6 .cke_skin_v2 .cke_menuitem .cke_disabled .cke_icon
+.cke_browser_ie6 .cke_skin_v2 .cke_menuitem .cke_disabled .cke_icon,
+.cke_browser_ie .cke_skin_v2 .cke_menuitem.cke_noalphafix .cke_disabled .cke_icon
 {
 	filter: ;
Index: CKEditor/trunk/_source/skins/v2/toolbar.css
===================================================================
--- CKEditor/trunk/_source/skins/v2/toolbar.css	(revision 6318)
+++ CKEditor/trunk/_source/skins/v2/toolbar.css	(revision 6319)
@@ -257,5 +257,6 @@
 }
 .cke_skin_v2 .cke_browser_ie6 .cke_button a.cke_disabled *,
-.cke_skin_v2 .cke_browser_ie6 a:hover.cke_button .cke_disabled *
+.cke_skin_v2 .cke_browser_ie6 a:hover.cke_button .cke_disabled *,
+.cke_skin_v2 .cke_browser_ie .cke_button.cke_noalphafix a.cke_disabled *
 {
 	filter: alpha(opacity=30);
@@ -313,5 +314,7 @@
 }
 .cke_skin_v2 .cke_browser_ie6 .cke_button .cke_icon,
-.cke_skin_v2 .cke_browser_ie6 .cke_rtl .cke_button .cke_icon
+.cke_skin_v2 .cke_browser_ie6 .cke_rtl .cke_button .cke_icon,
+.cke_skin_v2 .cke_browser_ie .cke_button.cke_noalphafix .cke_icon,
+.cke_skin_v2 .cke_browser_ie .cke_rtl .cke_button.cke_noalphafix .cke_icon
 {
 	filter: ;