Index: CKEditor/releases/stable/lang/_translationstatus.txt
===================================================================
--- CKEditor/releases/stable/lang/_translationstatus.txt	(revision 6399)
+++ CKEditor/releases/stable/lang/_translationstatus.txt	(revision 6659)
@@ -2,59 +2,59 @@
 For licensing, see LICENSE.html or http://ckeditor.com/license
 
-af.js      Found: 275 Missing: 246
-ar.js      Found: 435 Missing: 86
-bg.js      Found: 268 Missing: 253
-bn.js      Found: 269 Missing: 252
-bs.js      Found: 175 Missing: 346
-ca.js      Found: 469 Missing: 52
-cs.js      Found: 395 Missing: 126
-cy.js      Found: 435 Missing: 86
-da.js      Found: 388 Missing: 133
-de.js      Found: 521 Missing: 0
-el.js      Found: 274 Missing: 247
-en-au.js   Found: 345 Missing: 176
-en-ca.js   Found: 345 Missing: 176
-en-gb.js   Found: 520 Missing: 1
-eo.js      Found: 247 Missing: 274
-es.js      Found: 521 Missing: 0
-et.js      Found: 289 Missing: 232
-eu.js      Found: 387 Missing: 134
-fa.js      Found: 290 Missing: 231
-fi.js      Found: 521 Missing: 0
-fo.js      Found: 402 Missing: 119
-fr-ca.js   Found: 289 Missing: 232
-fr.js      Found: 521 Missing: 0
-gl.js      Found: 271 Missing: 250
-gu.js      Found: 288 Missing: 233
-he.js      Found: 521 Missing: 0
-hi.js      Found: 290 Missing: 231
-hr.js      Found: 388 Missing: 133
-hu.js      Found: 512 Missing: 9
-is.js      Found: 295 Missing: 226
-it.js      Found: 388 Missing: 133
-ja.js      Found: 471 Missing: 50
-km.js      Found: 263 Missing: 258
-ko.js      Found: 281 Missing: 240
-lt.js      Found: 294 Missing: 227
-lv.js      Found: 271 Missing: 250
-mn.js      Found: 288 Missing: 233
-ms.js      Found: 253 Missing: 268
-nb.js      Found: 452 Missing: 69
-nl.js      Found: 513 Missing: 8
-no.js      Found: 452 Missing: 69
-pl.js      Found: 521 Missing: 0
-pt-br.js   Found: 506 Missing: 15
-pt.js      Found: 270 Missing: 251
-ro.js      Found: 289 Missing: 232
-ru.js      Found: 451 Missing: 70
-sk.js      Found: 290 Missing: 231
-sl.js      Found: 394 Missing: 127
-sr-latn.js Found: 264 Missing: 257
-sr.js      Found: 263 Missing: 258
-sv.js      Found: 287 Missing: 234
-th.js      Found: 275 Missing: 246
-tr.js      Found: 506 Missing: 15
-uk.js      Found: 513 Missing: 8
-vi.js      Found: 463 Missing: 58
-zh-cn.js   Found: 518 Missing: 3
-zh.js      Found: 388 Missing: 133
+af.js      Found: 521 Missing: 1
+ar.js      Found: 435 Missing: 87
+bg.js      Found: 268 Missing: 254
+bn.js      Found: 269 Missing: 253
+bs.js      Found: 175 Missing: 347
+ca.js      Found: 521 Missing: 1
+cs.js      Found: 520 Missing: 2
+cy.js      Found: 435 Missing: 87
+da.js      Found: 388 Missing: 134
+de.js      Found: 522 Missing: 0
+el.js      Found: 274 Missing: 248
+en-au.js   Found: 345 Missing: 177
+en-ca.js   Found: 345 Missing: 177
+en-gb.js   Found: 520 Missing: 2
+eo.js      Found: 247 Missing: 275
+es.js      Found: 522 Missing: 0
+et.js      Found: 289 Missing: 233
+eu.js      Found: 387 Missing: 135
+fa.js      Found: 290 Missing: 232
+fi.js      Found: 522 Missing: 0
+fo.js      Found: 521 Missing: 1
+fr-ca.js   Found: 289 Missing: 233
+fr.js      Found: 522 Missing: 0
+gl.js      Found: 271 Missing: 251
+gu.js      Found: 288 Missing: 234
+he.js      Found: 522 Missing: 0
+hi.js      Found: 290 Missing: 232
+hr.js      Found: 388 Missing: 134
+hu.js      Found: 512 Missing: 10
+is.js      Found: 295 Missing: 227
+it.js      Found: 388 Missing: 134
+ja.js      Found: 471 Missing: 51
+km.js      Found: 263 Missing: 259
+ko.js      Found: 281 Missing: 241
+lt.js      Found: 294 Missing: 228
+lv.js      Found: 271 Missing: 251
+mn.js      Found: 288 Missing: 234
+ms.js      Found: 253 Missing: 269
+nb.js      Found: 521 Missing: 1
+nl.js      Found: 513 Missing: 9
+no.js      Found: 521 Missing: 1
+pl.js      Found: 522 Missing: 0
+pt-br.js   Found: 506 Missing: 16
+pt.js      Found: 270 Missing: 252
+ro.js      Found: 289 Missing: 233
+ru.js      Found: 451 Missing: 71
+sk.js      Found: 290 Missing: 232
+sl.js      Found: 394 Missing: 128
+sr-latn.js Found: 264 Missing: 258
+sr.js      Found: 263 Missing: 259
+sv.js      Found: 521 Missing: 1
+th.js      Found: 275 Missing: 247
+tr.js      Found: 506 Missing: 16
+uk.js      Found: 513 Missing: 9
+vi.js      Found: 463 Missing: 59
+zh-cn.js   Found: 518 Missing: 4
+zh.js      Found: 388 Missing: 134